{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "allowIDs": {
          "type": "string"
        },
        "denyIDs": {
          "type": "string"
        },
        "enableMonitoring": {
          "type": "boolean"
        },
        "image": {
          "type": "string"
        },
        "initImage": {
          "type": "string"
        },
        "logLevel": {
          "minimum": 0,
          "type": "integer"
        },
        "nodeSelector": {
          "additionalProperties": {
            "type": "string"
          },
          "type": "object"
        },
        "preferredAllocationPolicy": {
          "enum": [
            "balanced",
            "packed",
            "none"
          ],
          "type": "string"
        },
        "sharedDevNum": {
          "minimum": 1,
          "type": "integer"
        },
        "tolerations": {
          "items": {
            "properties": {
              "effect": {
                "type": "string"
              },
              "key": {
                "type": "string"
              },
              "operator": {
                "type": "string"
              },
              "tolerationSeconds": {
                "format": "int64",
                "type": "integer"
              },
              "value": {
                "type": "string"
              }
            },
            "type": "object"
          },
          "type": "array"
        }
      },
      "type": "object"
    },
    "status": {
      "properties": {
        "controlledDaemonSet": {
          "properties": {
            "apiVersion": {
              "type": "string"
            },
            "fieldPath": {
              "type": "string"
            },
            "kind": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "namespace": {
              "type": "string"
            },
            "resourceVersion": {
              "type": "string"
            },
            "uid": {
              "type": "string"
            }
          },
          "type": "object",
          "x-kubernetes-map-type": "atomic"
        },
        "desiredNumberScheduled": {
          "format": "int32",
          "type": "integer"
        },
        "nodeNames": {
          "items": {
            "type": "string"
          },
          "type": "array"
        },
        "numberReady": {
          "format": "int32",
          "type": "integer"
        }
      },
      "required": [
        "desiredNumberScheduled",
        "numberReady"
      ],
      "type": "object"
    }
  },
  "type": "object"
}
